Index: anuga_core/source/anuga/utilities/compile.py
===================================================================
--- anuga_core/source/anuga/utilities/compile.py	(revision 3512)
+++ anuga_core/source/anuga/utilities/compile.py	(revision 3514)
@@ -176,5 +176,5 @@
   #Add Python path + utilities to includelist (see ticket:31)
   #Assume there is only one 'utilities' dir under path dirs
-
+  
   utilities_include_dir = None
   for pathdir in sys.path:
@@ -190,7 +190,8 @@
       #print 'Found %s to be used as include dir' %utilities_include_dir
       break
-     
-
-      
+
+  utilities_include_dir = buildroot + os.sep + "source" + os.sep + "anuga" \
+                          + os.sep + 'utilities'
+ 
 
   
Index: anuga_core/source/anuga/utilities/numerical_tools.py
===================================================================
--- anuga_core/source/anuga/utilities/numerical_tools.py	(revision 3512)
+++ anuga_core/source/anuga/utilities/numerical_tools.py	(revision 3514)
@@ -290,5 +290,5 @@
 #Initialise module
 
-from utilities import compile
+from anuga.utilities import compile
 if compile.can_use_C_extension('util_ext.c'):
     from util_ext import gradient, gradient2
Index: anuga_core/source/anuga/utilities/polygon.py
===================================================================
--- anuga_core/source/anuga/utilities/polygon.py	(revision 3512)
+++ anuga_core/source/anuga/utilities/polygon.py	(revision 3514)
@@ -13,6 +13,6 @@
 
 from math import sqrt
-from utilities.numerical_tools import ensure_numeric
-from geospatial_data.geospatial_data import ensure_absolute
+from anuga.utilities.numerical_tools import ensure_numeric
+from anuga.geospatial_data.geospatial_data import ensure_absolute
 
 def point_on_line(x, y, x0, y0, x1, y1):
@@ -563,5 +563,5 @@
 
         if geo_reference is None:
-            from coordinate_transforms.geo_reference import Geo_reference
+            from anuga.coordinate_transforms.geo_reference import Geo_reference
             geo_reference = Geo_reference()
 
Index: anuga_core/source/anuga/utilities/sparse.py
===================================================================
--- anuga_core/source/anuga/utilities/sparse.py	(revision 3512)
+++ anuga_core/source/anuga/utilities/sparse.py	(revision 3514)
@@ -370,5 +370,5 @@
 
 #Setup for C extensions
-from utilities import compile
+from anuga.utilities import compile
 if compile.can_use_C_extension('sparse_ext.c'):
     #Replace python version with c implementation
Index: anuga_core/source/anuga/utilities/test_cg_solve.py
===================================================================
--- anuga_core/source/anuga/utilities/test_cg_solve.py	(revision 3512)
+++ anuga_core/source/anuga/utilities/test_cg_solve.py	(revision 3514)
@@ -7,7 +7,7 @@
 
 from Numeric import dot, allclose, array, transpose, arange, ones, Float
-from utilities.cg_solve import *
-from utilities.cg_solve import _conjugate_gradient
-from utilities.sparse import Sparse, Sparse_CSR
+from anuga.utilities.cg_solve import *
+from anuga.utilities.cg_solve import _conjugate_gradient
+from anuga.utilities.sparse import Sparse, Sparse_CSR
 
 
Index: anuga_core/source/anuga/utilities/test_numerical_tools.py
===================================================================
--- anuga_core/source/anuga/utilities/test_numerical_tools.py	(revision 3512)
+++ anuga_core/source/anuga/utilities/test_numerical_tools.py	(revision 3514)
@@ -5,5 +5,5 @@
 from Numeric import zeros, array, allclose
 from math import sqrt, pi
-from config import epsilon
+from anuga.config import epsilon
 
 from numerical_tools import *
Index: anuga_core/source/anuga/utilities/test_polygon.py
===================================================================
--- anuga_core/source/anuga/utilities/test_polygon.py	(revision 3512)
+++ anuga_core/source/anuga/utilities/test_polygon.py	(revision 3514)
@@ -5,9 +5,9 @@
 from Numeric import zeros, array, allclose
 from math import sqrt, pi
-from utilities.numerical_tools import ensure_numeric
+from anuga.utilities.numerical_tools import ensure_numeric
 
 from polygon import *
-from coordinate_transforms.geo_reference import Geo_reference
-from geospatial_data.geospatial_data import Geospatial_data
+from anuga.coordinate_transforms.geo_reference import Geo_reference
+from anuga.geospatial_data.geospatial_data import Geospatial_data
 
 def test_function(x, y):
@@ -62,5 +62,5 @@
         """
 
-        from coordinate_transforms.geo_reference import Geo_reference
+        from anuga.coordinate_transforms.geo_reference import Geo_reference
 
         geo = Geo_reference(56, 200, 1000)
